SYMPHONY Version 5.1.1
======================

Welcome to SYMPHONY. SYMPHONY is distributed under the Common Public License
Version 1.0 and is freely redistributable. However, it is vital to the
survival of projects such as this one that we be able to justify our existence
through usage statistics. Therefore, we ask that you become a registered user
of this software if you have not already done so. Registration is free, but
helps us maintain our funding. Please visit SYMPHONY's registration page at
http://branchandcut.org/SYMPHONY/license.htm to receive an official copy of
the distribution. All source code and documentation is Copyright 2000-2006 by
Ted Ralphs and others. This README may be redistributed freely.

SYMPHONY Binary Distribution
============================

This distribution is a collection of libraries and executables built from
source code available in the SYMPHONY source code repository. SYMPHONY
repository is a collection of open-source software for solving mixed integer 
linear programming problems. The source code for building the binary and the 
libraries included in this distribution, along with a more complete 
description of the project, is available for download from 

   http://projects.coin-or.org/download/source/SYMPHONY/SYMPHONY-5.1.1.xxx

All projects in this distribution are licensed under the Common Public License 
version 1.0. See the accompanying file containing the full text of the 
license for details.

The distribution contents are as follows:

 bin/
	symphony
 lib/
	libCoinUtils.so
	libCgl.so
	libOsi.so
	libOsiClp.so
	libOsiSym.so
	libClp.so
	libSym.so

 include/ mirrors the contents of these directories in the COIN-OR
          repository 
	
	CoinUtils/include
	Cgl/include
	Osi/include
	Osi/src/OsiClp/include
	Osi/src/OsiSym/include
	Clp/include
	SYMPHONY/include

 examples/ 

        milp.c
        milpOsi.c
        Makefile
        sample.mps

BUILD PARAMETERS
================

The binary package was built from the release version SYMPHONY 5.1.1 using 
g++ 4.1.1 and with the following default configuration options: 

 -The associated LP solver is the COIN LP solver (CLP)
 -Cut generation is done with COIN's Cut Generation Library (CGL).
 -All libraries are compiled statically.
 -The optimization level is 'O3'.
 -Only serial executables are included.

TESTING - EXECUTABLE
======================

To use the SYMPHONY generic solver from the command line, you must 
type the executable name followed by one or more of the command-line switches. 
The required switch "-F" is used to specify the location of the input file 
which is assumed to be in MPS format. To test the executable, type 

 bin/symphony -F examples/sample.mps

The remaining switches are used to set SYMPHONY's native parameters on the
command line. To see the list of available parameters, type 

 bin/symphony -h

To use SYMPHONY's Interactive shell, run the executable name without any
command line arguments. Then type "help" or "?" to see a list of available
commands which are as follows for this version:

	load      : read a problem in mps or ampl format
	solve     : solve the problem
	lpsolve   : solve the lp relaxation of the problem
	set       : set a parameter
	display   : display optimization results and stats
	reset     : restart the optimizer
	help      : show the available commands/params/options	

	quit/exit : leave the optimizer

TESTING - LIBRARY
===================

The package includes two sample files: 

milp.c: This sample code is an implementation of a basic MILP
solver using SYMPHONY's C callable functions with user defined input.  

milpOsi.c: This sample code is an implementation of a basic MILP 
solver using SYMPHONY's C++ callable functions (through OsiSym interface)
with user defined input. 

To test the C callable library, go to examples/ directory and type 

 make milp
 ./milp

To test the C++ callable library, go to examples/ directory and type 

 make milpOsi 
 ./milpOsi

SUPPORT
========
There is a list serve for SYMPHONY users. To subscribe, go to 

 http://list.coin-or.org/mailman/listinfo/coin-symphony

To report a bug please file a ticket at 

 https://projects.coin-or.org/SYMPHONY/newticket
